This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 815489 - No way to persistently store --direct configuration
No way to persistently store --direct configuration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 13:35 EDT by Miloslav Trmač
Modified: 2013-12-21 11:35 EST (History)
7 users (show)

See Also:
Fixed In Version: firewalld-0.3.7-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 11:35:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2012-04-23 13:35:00 EDT
... which is desirable to be able to migrate complex iptables configuration to firewalld.  (The alternative, to add a systemd service that runs the script on each boot, is not great.)

Ability to import existing /etc/sysconfig/iptables* would be a nice touch, but perhaps too difficult?
Comment 1 Aleksandar Kostadinov 2012-12-12 12:20:20 EST
+1, changed version to fedora 18. Absolutely needed. Otherwise firewalld is useful in only very basic setup.
Comment 2 Orion Poplawski 2013-02-04 16:50:40 EST
I have some output port redirecting rules to migrate.  Seems like this would be needed for that as well.
Comment 3 Fedora End Of Life 2013-12-21 10:02:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.